/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.MilitaryService;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface MilitaryServiceMetaData
{
    public MilitaryService getEntity(); 

    public void setEntity(MilitaryService entity);

    public String getCombatVeteranEligibilityEndDate();
    
    public MilitaryServiceSiteRecordMetaData getMilitaryServiceSiteRecord();
    
    public String getDisabilityRetirementStatus();

    public String getDischargeDueToDisability();

}